Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(96)

Issue 584993002: ES6: Implement object literal property shorthand (Closed)

Created:
5 years ago by arv (Not doing code reviews)
Modified:
5 years ago
Reviewers:
rossberg, marja
CC:
adamk, Dmitry Lomov (no reviews), v8-dev, wingo
Project:
v8
Visibility:
Public.

Description

ES6: Implement object literal property shorthand This allows the following: var x = 1; var o = {x}; This is under the --harmony-object-literals flag. BUG=v8:3584 LOG=y R=marja@chromium.org, rossberg@chromium.org Committed: https://code.google.com/p/v8/source/detail?r=24291

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : Add one more test #

Patch Set 4 : git rebase #

Patch Set 5 : git rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+194 lines, -0 lines) Patch
M src/preparser.h View 1 2 3 1 chunk +6 lines, -0 lines 0 comments Download
M src/token.h View 2 chunks +19 lines, -0 lines 0 comments Download
M test/cctest/test-parsing.cc View 1 1 chunk +118 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/object-literals-property-shorthand.js View 1 2 1 chunk +51 lines, -0 lines 0 comments Download

Messages

Total messages: 8 (1 generated)
arv (Not doing code reviews)
5 years ago (2014-09-19 17:12:39 UTC) #2
arv (Not doing code reviews)
Add one more test
5 years ago (2014-09-19 17:14:37 UTC) #3
marja
lgtm
5 years ago (2014-09-22 08:11:22 UTC) #4
rossberg
lgtm
5 years ago (2014-09-23 15:26:05 UTC) #5
arv (Not doing code reviews)
git rebase
5 years ago (2014-09-29 14:12:00 UTC) #6
arv (Not doing code reviews)
git rebase
5 years ago (2014-09-29 14:13:16 UTC) #7
arv (Not doing code reviews)
5 years ago (2014-09-29 14:15:54 UTC) #8
Message was sent while issue was closed.
Committed patchset #5 (id:80001) manually as 24291 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698